@use '../../../../styles/helpers/breakpoints';

.no-manga-message {
  text-align: center;
  font: var(--mat-sys-title-large);
  margin: 0;
}

.grid-control-wrapper {
  display: flex;
  align-items: center;
  margin-bottom: 1rem;
}

.manga-grid-list {
  display: grid;
  grid-gap: 1rem;

  &--cards {
    grid-template-columns: repeat(1, minmax(0, 1fr));

    @include breakpoints.sm {
      grid-template-columns: repeat(2, minmax(0, 1fr));
    }
  }

  &--covers {
    grid-template-columns: repeat(2, minmax(0, 1fr));

    @include breakpoints.sm {
      grid-template-columns: repeat(3, minmax(0, 1fr));
    }

    @include breakpoints.md {
      grid-template-columns: repeat(4, minmax(0, 1fr));
    }

    @include breakpoints.lg {
      grid-template-columns: repeat(5, minmax(0, 1fr));
    }

    @include breakpoints.xl {
      grid-template-columns: repeat(6, minmax(0, 1fr));
    }
  }
}

.empty-placeholder {
  margin-bottom: 1rem;
}
